#! /usr/bin/env python3
from parser import parse
from tokenizer import tokenizer
import sys
import argparse

def greetings():
    print(r"     ____  __  __________  __  _____ ")
    print(r"    / __ \/ / /_  __/ __ \/  |/  / / ")
    print(r"   / /_/ / /   / / / / / / /|_/ / /  ")
    print(r"  / ____/ /___/ / / /_/ / /  / / /___")
    print(r" /_/   /_____/_/  \____/_/  /_/_____/")
    print(r"--------------------------------------")
    print(r"Authors: Tiago Sousa and Afonso Franco")
    print(r"--------------------------------------")

def main():
    if sys.stdout.isatty():
        greetings()
    argv_parser = argparse.ArgumentParser(
        prog="PLTOML",
        description="A command line tool to convert toml files into json using ply.",
    )
    argv_parser.add_argument(
        "-i", "--input", help="The filepath to the target input file"
    )
    argv_parser.add_argument(
        "-o", "--output", help="The filepath to the target output file"
    )
    argv_parser.add_argument(
        "-t",
        "--tokenizer",
        help="This feature allows you to inspect all the tokens captured by the lexer (should only be used for debugging)",
    )

    args = argv_parser.parse_args()
    if args.tokenizer is not None:
        tokenizer(args.input, args.output)
    else:
        parse(args.input, args.output)


if __name__ == "__main__":
    main()
